Subject: Re: [PATCH] Fix up truesize after pskb_expand_head() in wireless stack

From: Andi Kleen <andi-Vw/[email-masked]>
Date: Sun, 4 Jan 2009 18:43:39 +0100

On Sun, Jan 04, 2009 at 05:41:28PM +0100, Johannes Berg wrote:
> On Sun, 2009-01-04 at 17:28 +0100, Andi Kleen wrote:
> > > Thanks, but I'll need to look at this in more detail, we need to make
> > > sure that we orphan the skb before 
> > 
> > What do you mean with orphaning the skb? 
> 
> Well, touching truesize is absolutely not allowed while the skb is
> charged to a socket. This is what causes the truesize warning. The thing

The cause of the warnings was because the skb changed, but
truesize didn't.

> we need to do is figure out is why the skb has a wrong truesize.

Because it was expanded without truesize being adjusted (see my
original mail) 

-Andi
--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html